Package Details: monero-wallet-qt-git 0.15.0.4-1

Git Clone URL: https://aur.archlinux.org/monero-wallet-qt-git.git (read-only, click to copy)
Package Base: monero-wallet-qt-git
Description: Official QT GUI wallet for Monero, a private, secure, untraceable peer-to-peer currency
Upstream URL: https://getmonero.org/
Licenses: custom:Cryptonote
Conflicts: monero-gui, monero-wallet-qt
Provides: monero-gui, monero-wallet-qt
Submitter: redfish
Maintainer: redfish
Last Packager: redfish
Votes: 2
Popularity: 0.000003
First Submitted: 2017-10-17 20:53
Last Updated: 2020-03-01 04:25

Latest Comments

hv15 commented on 2020-03-02 15:02

@redfish: I wasn't aware of the issue with the community packages. I will install monero-git instead. Thanks!

redfish commented on 2020-03-01 05:37

@hv15: unfortunately, the PKGBUILDs for the monero* packages added to community are much worse than the ones that used to be maintained here on AUR. The AUR package for monero was a split package, one of which installed the monero wallet library. The GUI AUR package (like this one) then linked against this library. But, the community package was created without splitting it and hence without installing the library.

Instead, the packager chose to use the wild build.sh script from upstream, which fetches monero source code and builds it during the build of the wallet, thus violating packaging conventions, and also building monero source twice: once for 'monero' package and a second time for 'monero-gui' package.

So, it is not possible to build this package against 'monero' community package. To use this package, you must install specifically the 'monero-git' AUR package as a dependency.

I'll keep maintaining these AUR packages, particularly because community packages are not (yet?) in Arch Linux ARM, and these AUR packages are the better choice for those building from source on ARM (or anywhere else).

hv15 commented on 2019-12-20 15:26

hi @redfish, libmonero-wallet was deleted recently, it has been moved to community, but is called monero. Could you update the dependency list to account for this. Thanks!

sp1d3rmxn commented on 2019-11-16 00:55

Build fails

/usr/bin/ld: cannot find -lrandomx collect2: error: ld returned 1 exit status